# RakNet::SetCustomRoomProperties_Func Struct Reference

`#include <RoomsPlugin.h>`

Inheritance diagram for RakNet::SetCustomRoomProperties_Func:

List of all members.

## Detailed Description

Sets a table of user-defined room properties Fill out the table with the column name, type, and value. These properties are read when searching for rooms, and can be used as query filters to only join rooms with specified properties See RoomTypes.h for default room properties.

The documentation for this struct was generated from the following files:

- C:/RakNet/DependentExtensions/Lobby2/Rooms/RoomsPlugin.h
- C:/RakNet/DependentExtensions/Lobby2/Rooms/RoomsPlugin.cpp